C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Actions;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Actions.Versions.ListAsync(
actionId: "actionId",
request: new ListActionVersionsRequestParameters {
Page = 1,
PerPage = 1
}
);
}
}package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
actions "github.com/auth0/go-auth0/management/management/actions"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &actions.ListActionVersionsRequestParameters{
Page: management.Int(
1,
),
PerPage: management.Int(
1,
),
}
client.Actions.Versions.List(
context.TODO(),
"actionId",
request,
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.actions.versions.requests.ListActionVersionsRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.actions().versions().list(
"actionId",
ListActionVersionsRequestParameters
.builder()
.page(1)
.perPage(1)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Actions\Versions\Requests\ListActionVersionsRequestParameters;
$client = new Management(
token: '<token>',
);
$client->actions->versions->list(
'actionId',
new ListActionVersionsRequestParameters([
'page' => 1,
'perPage' => 1,
]),
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.actions.versions.list(
action_id="actionId",
page=1,
per_page=1,
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.actions.versions.list(
action_id: "actionId",
page: 1,
per_page: 1
)import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.actions.versions.list("actionId", {
page: 1,
perPage: 1,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.actions.versions.list("actionId", {
page: 1,
perPage: 1,
});
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/actions/actions/{actionId}/versions \
--header 'Authorization: Bearer <token>'{
"total": 1,
"page": 0,
"per_page": 20,
"versions": [
{
"id": "12a3b9e6-06e6-4a29-96bf-90c82fe79a0d",
"action_id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"code": "module.exports = () => {}",
"dependencies": [
{
"name": "<string>",
"version": "<string>",
"registry_url": "<string>"
}
],
"deployed": true,
"runtime": "node22",
"secrets": [
{
"name": "mySecret",
"updated_at": "2021-01-01T00:00:00.000Z"
}
],
"status": "built",
"number": 1,
"errors": [
{
"id": "<string>",
"msg": "<string>",
"url": "<string>"
}
],
"action": {
"id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"name": "my-action",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"all_changes_deployed": false,
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z"
},
"built_at": "2021-01-01T00:00:00.000Z",
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"modules": [
{
"module_id": "<string>",
"module_name": "<string>",
"module_version_id": "<string>",
"module_version_number": 123
}
]
}
]
}Get an action's versions
Retrieve all of an action’s versions. An action version is created whenever an action is deployed. An action version is immutable, once created.
GET
https://{tenantDomain}/api/v2
/
actions
/
actions
/
{actionId}
/
versions
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Actions;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Actions.Versions.ListAsync(
actionId: "actionId",
request: new ListActionVersionsRequestParameters {
Page = 1,
PerPage = 1
}
);
}
}package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
actions "github.com/auth0/go-auth0/management/management/actions"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &actions.ListActionVersionsRequestParameters{
Page: management.Int(
1,
),
PerPage: management.Int(
1,
),
}
client.Actions.Versions.List(
context.TODO(),
"actionId",
request,
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.actions.versions.requests.ListActionVersionsRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.actions().versions().list(
"actionId",
ListActionVersionsRequestParameters
.builder()
.page(1)
.perPage(1)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Actions\Versions\Requests\ListActionVersionsRequestParameters;
$client = new Management(
token: '<token>',
);
$client->actions->versions->list(
'actionId',
new ListActionVersionsRequestParameters([
'page' => 1,
'perPage' => 1,
]),
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.actions.versions.list(
action_id="actionId",
page=1,
per_page=1,
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.actions.versions.list(
action_id: "actionId",
page: 1,
per_page: 1
)import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.actions.versions.list("actionId", {
page: 1,
perPage: 1,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.actions.versions.list("actionId", {
page: 1,
perPage: 1,
});
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/actions/actions/{actionId}/versions \
--header 'Authorization: Bearer <token>'{
"total": 1,
"page": 0,
"per_page": 20,
"versions": [
{
"id": "12a3b9e6-06e6-4a29-96bf-90c82fe79a0d",
"action_id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"code": "module.exports = () => {}",
"dependencies": [
{
"name": "<string>",
"version": "<string>",
"registry_url": "<string>"
}
],
"deployed": true,
"runtime": "node22",
"secrets": [
{
"name": "mySecret",
"updated_at": "2021-01-01T00:00:00.000Z"
}
],
"status": "built",
"number": 1,
"errors": [
{
"id": "<string>",
"msg": "<string>",
"url": "<string>"
}
],
"action": {
"id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"name": "my-action",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"all_changes_deployed": false,
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z"
},
"built_at": "2021-01-01T00:00:00.000Z",
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"modules": [
{
"module_id": "<string>",
"module_name": "<string>",
"module_version_id": "<string>",
"module_version_number": 123
}
]
}
]
}承認
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
パスパラメータ
The ID of the action.
クエリパラメータ
Use this field to request a specific page of the list results.
This field specify the maximum number of results to be returned by the server. 20 by default
⌘I